#include <stdio.h>
#include <stdlib.h>

int main()
{
    long int N,max,temp,max1,max2,b,indeks,indeks1;
    scanf("%ld",&N);
    long int a[N],f[N];
    for(int i=0;i<N;i++){
        scanf("%ld",&a[i]);
        f[i]=a[i];
    }
  max=a[0];
    if(N==2){
        temp=a[0];
        a[0]=a[1];
        a[1]=temp;
        for(int i=0;i<N;i++)
            printf("%ld ",a[i]);
            return 0;
    }
    for(int i=0;i<N;i++){
        if(max<a[i]){
            max=a[i];
            indeks=i;
        }
    }
    if(max==a[0]){
        for(int i=0;i<N-1;i++)
            for(int j=i+1;j<N;j++){
                if(f[i]<f[j]){
                    b=f[i];
                    f[i]=f[j];
                    f[j]=b;
                }
            }
        for(int i=0;i<N;i++){
            if(a[i]==f[1])
               indeks=i;
               if(a[i]==f[2])
                indeks1=i;
        }
        temp=a[indeks];
        a[indeks]=a[indeks1];
        a[indeks1]=temp;
        for(int i=0;i<N;i++)
            printf("%ld ",a[i]);
    }
    else{
        temp=a[0];
        a[0]=max;
        a[indeks]=temp;
        for(int i=0;i<N;i++)
            printf("%ld ",a[i]);
    }
    return 0;
}